html,body
{
    height:100vh;
    width:100vw;
}

a { cursor: pointer; cursor: hand; }

:root{
    --main-canvas-height: 93vh;
    --main-canvas-half:45vh;
    --dashboard-nav-height: 5vh;
    --scrollable-table-container-height: 25vh;
    --scrollable-big-table-container-height:82vh;

}

body {
    padding-top: 50px;
    height: var(--main-canvas-height);
}

.center {
    text-align: center;
}

#dashboard-nav {
    height: var(--dashboard-nav-height);
}

#main-info-window {
    border-top-style: solid;
    border-width: thin;
}

#main-info-window .nav:first-child {
    margin-top: 0.5em;
}

.main-canvas {
    height: var(--main-canvas-height);
}


#annotations {
    height: var(--main-canvas-height);
}

#annotations .nav {
  margin-top: 0.5em;
}

.details-container {
    overflow-y: scroll;
    height: var(--main-canvas-height);
}

.withbackground {
    background-color: lightgrey;
}

#scrollable-table-container {
    overflow-y: scroll;
    height: var(--scrollable-table-container-height);
}

.scrollable-big-table-container {
    overflow-y: scroll;
    height: var(--scrollable-big-table-container-height);
}

.datatable {
    overflow-y: scroll;
}

.table-fit {
    margin-right: 1%;
    margin-left: 1%;
    table-layout:fixed;
    width: 98%;
}

.btn-filter {
    margin: 2%;
}

.btn-clear {
    margin-top: 2%;
    margin-left: 10%;
}

.navbar-brand {
    font-weight: bold;
}

.indicator {
  text-align: right;
}


.progress {
  width: 100%;
  margin-bottom: 0em;
}

.status-ok {
  color: green;
}

.status-problem {
  color: red;
}

.success {
  color: green;
}

.step-description {
  vertical-align: middle;
}

.results {
  vertical-align: middle;
}

.vcenter {
    display: inline-block;
    vertical-align: middle;
    float: none;
}

.tab-content {
  margin-top: 0.5em;
  margin-bottom: 0.5em;
}

#publications-table th.mark {width: 2%;}
#publications-table th.title {width: 40%;}
#publications-table th.authors {width: 25%;}
#publications-table th.date {width: 10%;}
#publications-table th.type {width: 11%;}
#publications-table th.numberOfAnnotations {width: 8%;}
#publications-table th.status {width: 4%;}

#publications-table tr.file td.title {
  max-width: 40%;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

#annotations-table th.type {width: 10%;}
#annotations-table th.text {width: 80%;}
#annotations-table th.author {width: 10%;}

.details-table td.property {width: 7em;}
.details-table td.button input.copyTarget { width: 20em}
.details-table {
  margin-top: 2em;
  font-size: 100%;
}


.button {
  margin-top: 0em;
  margin-bottom: 0em;
}
/*
#annotations-table td.text {
  max-width: 70%;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
*/

#search-text-area,
#search-fields {
  margin-top: 1em;
}

label {
  font-weight: normal;
}

#filter-status {
    padding-top: 0.5em;
    background-color: green;
}

#local_pdf_editor {
    width: 50%;
}

.openCommandText {
    width: 30%;
}
